Update a team environment variable
curl --request PUT \
--url https://app.felan.ai/api/v1/teams/{teamSlug}/env-vars/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"is_secret": true,
"source": "<string>",
"metadata": {},
"environment": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.felan.ai/api/v1/teams/{teamSlug}/env-vars/{name}"
payload = {
"value": "<string>",
"is_secret": True,
"source": "<string>",
"metadata": {},
"environment": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
value: '<string>',
is_secret: true,
source: '<string>',
metadata: {},
environment: '<string>',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.felan.ai/api/v1/teams/{teamSlug}/env-vars/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "BASE_URL",
"has_value": true,
"is_secret": true,
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Environment Variables
Update a team environment variable
PUT
/
teams
/
{teamSlug}
/
env-vars
/
{name}
Update a team environment variable
Authorizations
Team API key. Current keys retain the bzy_team_ compatibility prefix.
Path Parameters
Felan team slug shown in dashboard URLs and Team Settings
Minimum string length:
1Query Parameters
Environment slug. Omit both environment selectors to use team defaults.
Environment ID. Takes precedence over the environment slug.
Body
application/json
Response
Environment variable updated
Show child attributes
Show child attributes
⌘I
